petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMTSGetForcingFunction

get TS forcing function evaluation function

### Synopsis

    #include "petscts.h"
    PetscErrorCode DMTSGetForcingFunction(DM dm,TSForcingFunction *f,void **ctx)

Not Collective

### Input Argument

dm -DM to be used with TS

### Output Arguments

| f | - forcing function evaluation function; see TSForcingFunction for details
| ctx | - context for solution evaluation

### Note

TSSetForcingFunction() is normally used, but it calls this function internally because the user context is actually associated with the DM. This makes the interface consistent regardless of whether the user interacts with a DM or not. If DM took a more central role at some later date, this could become the primary method of setting the residual.

### See Also

DMTSSetContext(), TSSetFunction(), DMTSSetJacobian(), TSSetForcingFunction(), DMTSGetForcingFunction()

### Level

advanced

### Location

src/ts/utils/dmts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages